
public class Operacions
{

	//*********************************************
	//* Funcio per verificar si un numero es parell
	//*********************************************
	public boolean Parell(int n)
	{
		boolean resultat;
		int resto;
		
		// Calcular el resto de la divisi entre 2
		resto = n % 2;
		
		// Si el resto es cero, voldr dir que es parell,
		// sino es un numero imparell
		if(resto==0)
		{
			resultat=true;
		}
		else
		{
			resultat = false;
		}
		
		// Retornar el resultat
		return(resultat);
	}
	
	//**********************************************
	//* Funcio per calcular el factorial d'un numero
	//**********************************************
	public long Factorial(int n)
	{
		int resultat=n;
		int x;
		
		// Fer un bucle del numero menys 1 fins a cero
		for(x = n-1 ; x > 0; x--)
		{
			// Acumular el factorial
			resultat = resultat * x;
		}
		
		// Retornar el resultat
		return(resultat);	
		
	}

	//**********************************************
	//* Funcio per convertir un numero a binary
	//**********************************************
	public String Binary(int n)
	{
		String resultat;
		
		resultat = Integer.toBinaryString(n);
		
		return(resultat);
	}
	
	//*********************************************
	//* Funcio per verificar si el numero es primer
	//*********************************************
	public boolean Primer(int n)
	{
		boolean resultat;
		int x;
		int resto;
		
		// Definim inicialment resultat com a true
		resultat = true;
		
		// Fer un bucle fins a 2
		for(x = n-1; x >= 2; x--)
		{
			// Calcular el resto del numero entre x
			resto = n % x;
			
			// Si el resto es cero, es divisible.
			// Per lo tant no es primer
			if(resto==0)
			{
				resultat=false;
			}
			
		}
		
		// Retornar el resultat
		return(resultat);
		
	}
	
}
